<?php

function getVideoID($url) {
    $url = trim($url);

    preg_match('#(\.be/|/embed/|/v/|/watch\?v=)([A-Za-z0-9_-]{5,11})#', $url, $matches);
    if(isset($matches[2]) && $matches[2] != '') {
        return $matches[2];
    }
}

function checkYoutubeId($id) {
    if (!$data = @file_get_contents("http://gdata.youtube.com/feeds/api/videos/" . $id))
        return 0;
    if ($data == "Video not found")
        return 0;
    return 1;
}

function getVideoDetails($id) {
    // create an array to return
    $videoDetails = Array();

    // get the xml data from youtube
    $url = "http://gdata.youtube.com/feeds/api/videos/" . $id;
    $xml = simplexml_load_file($url);
    return $xml;
}

function fetch_image($url) {
    if (function_exists("curl_init")) {
        return curl_fetch_image($url);
    } elseif (ini_get("allow_url_fopen")) {
        return fopen_fetch_image($url);
    }
}

function curl_fetch_image($url) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $image = curl_exec($ch);
    curl_close($ch);
    return $image;
}

function fopen_fetch_image($url) {
    $image = file_get_contents($url, false, $context);
    return $image;
}

?>
